Bug 1183641 - Ship libguestfs-winsupport 7.0 RPMs in RHN
Summary: Ship libguestfs-winsupport 7.0 RPMs in RHN
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs-winsupport
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1203710
TreeView+ depends on / blocked
 
Reported: 2015-01-19 11:26 UTC by Richard W.M. Jones
Modified: 2019-08-15 04:12 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-31 15:45:59 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2015-01-19 11:26:45 UTC
Description of problem:

RHN needs to be shipping libguestfs-winsupport RPMs
for 7.0 (and later for 7.1).

The relevant RPMs are:

https://brewweb.devel.redhat.com/buildinfo?buildID=265792

libguestfs-winsupport-7.0-2.el7.src.rpm
libguestfs-winsupport-7.0-2.el7.x86_64.rpm

Comment 3 Richard W.M. Jones 2015-02-09 12:40:12 UTC
More weeks pass.  Who do I need to escalate this to so that it will
be acted on?

Comment 4 Thomas Oulevey 2015-03-30 11:45:03 UTC
Do we have news on this I was expecting this to be fixed for 7.1 ?

Comment 6 Richard W.M. Jones 2015-03-30 12:42:34 UTC
Temporarily you can get them from here:
http://people.redhat.com/~rjones/libguestfs-winsupport/

Comment 9 Thomas Oulevey 2015-03-30 12:46:17 UTC
Thanks Richard, I had found your post on the ML, we did use them.

I opened a case with my TAM to accelerate resolution.

Comment 20 Richard W.M. Jones 2015-11-24 16:47:20 UTC
Closing as WONTFIX since:

 - This has gone on for so long that no one cares about RHEL 7.0.

 - libguestfs-winsupport is available in RHEL 7.2 base RHEL.

 - If anyone did want the RHEL 7.0/7.1 packages, then they
   can get them from
   https://people.redhat.com/~rjones/libguestfs-winsupport/

Comment 21 Eugene A. Pivnev 2016-01-28 15:59:41 UTC
Not works for me:

root@localhost images]# guestmount -a /mnt/shares/images/ws_d.img -m /dev/sda1 --ro /mnt/tmp
libguestfs: error: mount: unsupported filesystem type
guestmount: '/dev/sda1' could not be mounted.
guestmount: Did you mean to mount one of these filesystems?
guestmount:     /dev/sda1 (ntfs)
[root@localhost images]# rpm -q libguestfs-winsupport
libguestfs-winsupport-7.2-1.el7.x86_64

CentOS 7.1 with ~rjones' rpm - OK.

Comment 22 Richard W.M. Jones 2016-01-28 16:07:00 UTC
(In reply to Eugene A. Pivnev from comment #21)
> [root@localhost images]# rpm -q libguestfs-winsupport
> libguestfs-winsupport-7.2-1.el7.x86_64
                        ^^^
> CentOS 7.1 with ~rjones' rpm - OK.
         ^^^

You're using the wrong libguestfs-winsupport version.

Please don't reopen old bugs.

Comment 23 Eugene A. Pivnev 2016-01-31 15:39:29 UTC
(In reply to Richard W.M. Jones from comment #22)
> (In reply to Eugene A. Pivnev from comment #21)
> > [root@localhost images]# rpm -q libguestfs-winsupport
> > libguestfs-winsupport-7.2-1.el7.x86_64
>                         ^^^
> > CentOS 7.1 with ~rjones' rpm - OK.
>          ^^^
> 
> You're using the wrong libguestfs-winsupport version.

I'm using libguestfs-winsupport from base repo. For CentOS 7.2.
CentOS 7.1 _was_ working with ~rjones' rpm OK.

Now I have some CentOS 7.2 hosts with not working libguestfs-winsupport and some not upgraded CentOS 7.1 hosts with working ~rjones' libguestfs-winsupport

> Please don't reopen old bugs.

I have to create new bag?

Comment 24 Richard W.M. Jones 2016-01-31 15:45:59 UTC
This is actually not a supported configuration.  For legal
reasons we have disabled the ability to use libguestfs-winsupport
except with virt-v2v and a select few other virt tools.  So
the error is correct and this isn't going to change.


Note You need to log in before you can comment on or make changes to this bug.